package com.ruoyi.demo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.ruoyi.demo.entity.WdInfo;
import com.ruoyi.demo.entity.bo.WdAddrTypeDistribution;
import com.ruoyi.demo.entity.vo.AddStatusVo;
import com.ruoyi.demo.entity.vo.WdInfoVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface WdInfoMapper extends BaseMapper<WdInfo> {
    List<WdAddrTypeDistribution> searchAddrDisByMulti(@Param("addrCodes") List<String> addrCodes, @Param("typeCodes") List<String> typeCodes);
    List<WdAddrTypeDistribution> searchWdTypeDisByMulti(@Param("addrCodes") List<String> addrCodes,@Param("typeCodes") List<String> typeCodes);
    List<WdAddrTypeDistribution> searchWdTotal();

    List<WdInfo> list(WdInfoVo wdInfoVo);

    void recoverWd(String wdId);

    List<AddStatusVo> searchAddStatusByMulti(@Param("times") List<String> times, @Param("addrCodes") List<String> addrCodes, @Param("wdTypeCodes") List<String> wdTypeCodes);
}
